package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFIT4Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFIT4Data() {}

    public static MWFIT4Data builder() {
        return new MWFIT4Data();
    }

    public MWFIT4Data rsAppkey(Long rsAppkey) {
        params.put("RS_APPKEY", rsAppkey);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
